# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               jacktrip
Version:            1.0.5+2
%define pkg_version 1.0.5.patch2
Release:            2.2
Summary:            Multi-Machine Network Music Performance over the Internet
Source:             https://jacktrip.googlecode.com/files/jacktrip-%{pkg_version}.tar.gz
URL:                https://code.google.com/p/jacktrip/
Patch0:             jacktrip-1.0.5-gcc47.patch
Group:              Productivity/Multimedia/Sound/Utilities
License:            MIT
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      jack-devel
BuildRequires:      libqt4-devel
BuildRequires:      gcc-c++ make pkgconfig

%description
JackTrip is a Linux and Mac OS X-based system used for multi-machine network
performance over the Internet. It supports any number of channels (as many as
the computer/network can handle) of bidirectional, high quality, uncompressed
audio signal steaming.

%prep
%setup -q -n "jacktrip-1.0.5.patch"
%patch0 -p1

%build
pushd src
qmake jacktrip.pro
%__make clean
%__make %{?_smp_mflags} CXXFLAGS="%{optflags} \$(DEFINES)"
popd

%install
pushd src
%__make \
    STRIP="touch" \
    INSTALL_ROOT="%{buildroot}" \
    install
popd

%__rm "%{buildroot}%{_bindir}/jacktrip_debug"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGESLOG.txt TODO.txt
%{_bindir}/jacktrip

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- initial version (1.0.5+2)
